
QGIS Application - Bug report #12011

python error when opening the sql console in DB Manager

2015-01-20 01:57 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: DB Manager

Affected QGIS version:master Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20214

Description

it happens on QGIS master

Traceback (most recent call last):

  File "/usr/share/qgis/python/plugins/db_manager/db_manager.py", line 183, in runSqlWindow

    from dlg_sql_window import DlgSqlWindow

  File "/usr/lib/python2.7/dist-packages/qgis/utils.py", line 479, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/usr/share/qgis/python/plugins/db_manager/dlg_sql_window.py", line 33, in 

    from .ui.ui_DlgSqlWindow import Ui_DbManagerDlgSqlWindow as Ui_Dialog

  File "/usr/lib/python2.7/dist-packages/qgis/utils.py", line 479, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/usr/share/qgis/python/plugins/db_manager/ui/ui_DlgSqlWindow.py", line 222, in 

    from qgis.gui import QgsCodeEditorSQL

ImportError: cannot import name QgsCodeEditorSQL

Associated revisions

Revision 2c820bb9 - 2015-02-02 06:45 PM - Jürgen Fischer

db_manager: use SqlEdit when QgsCodeEditorSQL is unavailable (fixes #12011)

History

#1 - 2015-01-22 02:29 AM - Alexander Bruy

Not reproducible with master under Windows and Linux. I suspect this is local issue.

#2 - 2015-01-22 06:46 AM - Giovanni Manghi

- OS version set to 14.04

- Operating System set to Ubuntu

- Status changed from Open to Feedback

Hi Alex,

not sure is a local issue. I have a (very) clean installation of master from the nightly build repository. Anyway I'm looking for feedback from other users with

the same installation. I confirm on Windows is OK.
#3 - 2015-01-22 12:27 PM - Pedro Venâncio

Hi Giovanni and Alexander,

I can confirm this error on Xubuntu 12.04

Traceback (most recent call last):

  File "/usr/share/qgis/python/plugins/db_manager/db_manager.py", line 183, in runSqlWindow

    from dlg_sql_window import DlgSqlWindow

  File "/usr/lib/python2.7/dist-packages/qgis/utils.py", line 479, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/usr/share/qgis/python/plugins/db_manager/dlg_sql_window.py", line 33, in 

    from .ui.ui_DlgSqlWindow import Ui_DbManagerDlgSqlWindow as Ui_Dialog

  File "/usr/lib/python2.7/dist-packages/qgis/utils.py", line 479, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/usr/share/qgis/python/plugins/db_manager/ui/ui_DlgSqlWindow.py", line 215, in 

    from qgis.gui import QgsCodeEditorSQL

ImportError: cannot import name QgsCodeEditorSQL

Python version:

2.7.3 (default, Dec 18 2014, 19:15:23) 

[GCC 4.6.3]

QGIS version:

2.7.0-Master Master, exported

and Lubuntu 14.04.

#4 - 2015-01-23 04:05 AM - Giovanni Manghi

confirmed also by other users under Linux. Windows is ok.

#5 - 2015-01-27 11:48 AM - andre mano

I can confirm this issue in my Mint 17 installation. I get the same error message.

#6 - 2015-02-02 09:52 AM - Jürgen Fischer

- Status changed from Feedback to Closed

Fixed in changeset commit:"2c820bb925060f4546304d0ef57fd3e076fc4662".
